org.hibernate.validator.internal.xml

## Class ElementType

- java.lang.Object
- - org.hibernate.validator.internal.xml.ElementType

-     public class ElementType
      extends Object

  Java class for elementType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="elementType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="value" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
               <element name="annotation" type="{http://jboss.org/xml/ns/javax/validation/mapping}annotationType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Serializable>` | `content`
    `protected String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Serializable>` | `getContent()` Gets the value of the content property.
    `String` | `getName()` Gets the value of the name property.
    `void` | `setName(String value)` Sets the value of the name property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### content

          protected List<Serializable> content

    - #### name

          protected String name

  - ### Constructor Detail

    - #### ElementType

          public ElementType()

  - ### Method Detail

    - #### getContent

          public List<Serializable> getContent()

      Gets the value of the content property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

      For example, to add a new item, do as follows:

              getContent().add(newItem);

      Objects of the following type(s) are allowed in the list `JAXBElement``<``String``>` `String` `JAXBElement``<``AnnotationType``>`

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved